﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BraStor_WebRole.Model;
using BraStor_WebRole.Dal;

namespace BraStor_WebRole.Bll
{
    public class BllOrganizaciones
    {
        /// <summary>
        /// Obtiene un listado de todas las organizaciones en base a unos criterio fijados
        /// </summary>
        /// <param name="organizationCriteria"></param>
        /// <returns></returns>
        public List<tbl_organizaciones> getListOrganizations(tbl_organizaciones organizationCriteria)
        {
            DalOrganizaciones dOrganization = new DalOrganizaciones();
            try
            {
                List<tbl_organizaciones> lstOrganizaciones = new List<tbl_organizaciones>();

                lstOrganizaciones = dOrganization.getListOrganizations(organizationCriteria);

                return lstOrganizaciones;
            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        /// <summary>
        /// Obtiene el detalle de una organización a partir de su clave primaria
        /// </summary>
        /// <param name="uid_id"></param>
        /// <returns></returns>
        public tbl_organizaciones getDetailOrganization(string uid_id)
        {
            DalOrganizaciones dOrganization = new DalOrganizaciones();
            try
            {
                tbl_organizaciones organizationDetail = new tbl_organizaciones();

                organizationDetail = dOrganization.getDetailOrganization(uid_id);

                return organizationDetail;
            }
            catch(Exception ex)
            {
                throw (ex);
            }
        }


        /// <summary>
        /// Realiza la llamada a la actualización de los datos de una organización
        /// </summary>
        /// <param name="organizationDetail"></param>
        public void UpdateOrganization(tbl_organizaciones organizationDetail)
        {
            DalOrganizaciones dOrganization = new DalOrganizaciones();
            try
            {
                dOrganization.updateOrganization(organizationDetail);

            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        /// <summary>
        /// Inserta una nueva organización dentro de la base de datos.
        /// </summary>
        /// <param name="newOrganization"></param>
        public void insertOrganization(tbl_organizaciones newOrganization)
        {
            DalOrganizaciones dOrganization = new DalOrganizaciones();
            try
            {
                dOrganization.newOrganization(newOrganization);
            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        /// <summary>
        /// Obtiene un listado de todas los paises que se introduciran en el dropdown de busqueda
        /// Permite seleccionar un país vacio
        /// </summary>
        /// <param name="organizationCriteria"></param>
        /// <returns></returns>
        public List<tbl_sys_paises> getListCountries()
        {
            DalPaises dCountry = new DalPaises();
            try
            {
                List<tbl_sys_paises> lstPaises = new List<tbl_sys_paises>();

                lstPaises = dCountry.getAllCountries();

                lstPaises.Insert(0,new tbl_sys_paises());

                return lstPaises;
            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

    }
}