﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BraStor_WebRole.Model;
using BraStor_WebRole.Dal;

namespace BraStor_WebRole.Bll
{
    public class BllThemes
    {
        /// <summary>
        /// Obtiene un listado de todos temas existentes en la base de datos
        /// </summary>
        /// <returns></returns>
        public List<tbl_temas> getListThemes()
        {
            DalThemes dThemes = new DalThemes();
            try
            {
                List<tbl_temas> lstThemes = new List<tbl_temas>();

                lstThemes = dThemes.getAllThemes();

                return lstThemes;
            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        /// <summary>
        /// Muestra los detalles de un tema
        /// </summary>
        /// <param name="themeUid"></param>
        /// <returns></returns>
        public tbl_temas getDetailTheme(string themeUid)
        {

            DalThemes dThemes = new DalThemes();
            try
            {
                tbl_temas temasDetail = new tbl_temas();

                temasDetail = dThemes.getDetailTheme(themeUid);

                return temasDetail;
            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        /// <summary>
        /// Realiza la inserción de un nuevo tema
        /// </summary>
        /// <param name="newTheme"></param>
        public void insertTheme(tbl_temas newTheme)
        {
            DalThemes dThemes = new DalThemes();
            try
            {
                dThemes.newThemes(newTheme);
            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        /// <summary>
        /// Realiza la llamada a la actualización de los datos de un tmea
        /// </summary>
        /// <param name="themeDetail"></param>
        public void UpdateTheme(tbl_temas themeDetail)
        {
            DalThemes dThemes = new DalThemes();
            try
            {
                dThemes.updateThemes(themeDetail);

            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

    }
}