﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BraStor_WebRole.Model;
using System.Configuration;

namespace BraStor_WebRole.Dal
{
    public class DalArchive
    {
        UOC_IDEASEntities ideasBD;

        public DalArchive()
        {
            string str_connection = ConfigurationManager.ConnectionStrings["UOC_IDEASEntities"].ConnectionString;
            ideasBD = new UOC_IDEASEntities(str_connection);
        }

        /// <summary>
        /// Devuelve un listado completo de todos las razones de archivo almacenadas en la base de datos
        /// </summary>
        /// <returns></returns>
        public List<tbl_sys_razonArchivo> getAllArchiveReason()
        {
            try
            {
                var getArchive = from listArchives in ideasBD.tbl_sys_razonArchivo
                                 orderby listArchives.str_nombre
                                 select listArchives;

                List<tbl_sys_razonArchivo> lstArchives = new List<tbl_sys_razonArchivo>();

                if (getArchive.Count() > 0)
                    lstArchives = getArchive.ToList<tbl_sys_razonArchivo>();

                //Devuelve un listado completo de razones de archivo
                return lstArchives;

            }
            catch (Exception)
            {
                return (new List<tbl_sys_razonArchivo>());
            }
        }
    }
}