﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using LinqKit;
using System.Data.Objects;
using BraStor_WebRole.Model;
using System.Configuration;

namespace BraStor_WebRole.Dal
{
    public class DalComentarios
    {        
        UOC_IDEASEntities ideasBD;

        public DalComentarios()
        {
            string str_connection = ConfigurationManager.ConnectionStrings["UOC_IDEASEntities"].ConnectionString;
            ideasBD = new UOC_IDEASEntities(str_connection);
        }

        /// <summary>
        /// Busca todos los comentarios asociados a una idea
        /// </summary>
        /// <param name="uid_idea"></param>
        /// <returns></returns>
        internal List<vw_Comentarios> getComentariosIdea(string uid_idea)
        {
            try
            {
                //Ejecuta la consulta de busqueda
                var getComentarios = from comentarios in ideasBD.vw_Comentarios
                                     where comentarios.epk_uid_idea == new Guid(uid_idea)
                                     select comentarios;

                List<vw_Comentarios> lstComentarios = new List<vw_Comentarios>();

                if (getComentarios != null && getComentarios.Count() > 0)
                    lstComentarios = getComentarios.ToList<vw_Comentarios>();

                //Devuelve el listado de organizaciones
                return lstComentarios;

            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }

        /// <summary>
        /// Añade un nuevo comentario a una idea.
        /// </summary>
        /// <param name="uid_idea"></param>
        /// <param name="userId"></param>
        /// <param name="str_comments"></param>
        internal void addCommentIdea(Guid uid_idea, Guid userId, string str_comments)
        {
            try
            {
                tbl_comentarios newComment = new tbl_comentarios();
                
                newComment.pk_uid_id = Guid.NewGuid();
                newComment.dat_fechaComentario = DateTime.Today;
                newComment.str_comentario = str_comments;
                newComment.epk_uid_idea = uid_idea;
                newComment.epk_uid_usuario = userId;

                ideasBD.AddTotbl_comentarios(newComment);
                ideasBD.SaveChanges(SaveOptions.AcceptAllChangesAfterSave);

            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }
    }
}