﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BraStor_WebRole.Model;
using System.Configuration;

namespace BraStor_WebRole.Dal
{
    public class DalEstado
    {
        UOC_IDEASEntities ideasBD;

        public DalEstado()
        {
            string str_connection = ConfigurationManager.ConnectionStrings["UOC_IDEASEntities"].ConnectionString;
            ideasBD = new UOC_IDEASEntities(str_connection);
        }

        /// <summary>
        /// Devuelve un listado completo de todos los estados almacenados en la base de datos
        /// </summary>
        /// <returns></returns>
        public List<tbl_sys_estadoIdea> getAllStatus()
        {
            try
            {
                var getStatus = from listStatus in ideasBD.tbl_sys_estadoIdea
                                orderby listStatus.str_nombre
                                select listStatus;

                List<tbl_sys_estadoIdea> lstStatus = new List<tbl_sys_estadoIdea>();

                if (getStatus.Count() > 0)
                    lstStatus = getStatus.ToList<tbl_sys_estadoIdea>();

                //Devuelve un listado completo de paises
                return lstStatus;

            }
            catch (Exception)
            {
                return (new List<tbl_sys_estadoIdea>());
            }
        }
    }
}