﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BraStor_WebRole.Model;
using System.Configuration;

namespace BraStor_WebRole.Dal
{
    public class DalPaises
    {
        UOC_IDEASEntities ideasBD;

        public DalPaises()
        {
            string str_connection = ConfigurationManager.ConnectionStrings["UOC_IDEASEntities"].ConnectionString;
            ideasBD = new UOC_IDEASEntities(str_connection);
        }

        /// <summary>
        /// Devuelve un listado completo de todos los paises almacenados en la base de datos
        /// </summary>
        /// <returns></returns>
        public List<tbl_sys_paises> getAllCountries()
        {
            try
            {
                var getCountries = from listCountries in ideasBD.tbl_sys_paises
                                   orderby listCountries.str_nombre
                                   select listCountries;
                
                List<tbl_sys_paises> lstCountries = new List<tbl_sys_paises>();

                if (getCountries.Count() > 0)
                    lstCountries = getCountries.ToList<tbl_sys_paises>();

                //Devuelve un listado completo de paises
                return lstCountries;

            }
            catch (Exception)
            {
                return (new List<tbl_sys_paises>());
            }
        }
    }
}