﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BraStor_WebRole.Model;
using System.Configuration;
using System.Data.Objects;

namespace BraStor_WebRole.Dal
{
    public class DalValoracion
    {
        UOC_IDEASEntities ideasBD;

        public DalValoracion()
        {
            string str_connection = ConfigurationManager.ConnectionStrings["UOC_IDEASEntities"].ConnectionString;
            ideasBD = new UOC_IDEASEntities(str_connection);
        }


        /// <summary>
        /// Obtiene la valoración media de una idea
        /// </summary>
        /// <param name="uid_idea"></param>
        /// <returns></returns>
        public Double getAverageIdea(string uid_idea)
        {
            try
            {
                var getAverage = from average in ideasBD.vw_valorMedioIdea
                                 where average.epk_uid_Idea == new Guid(uid_idea)
                                 select average.ValorMedioIdea;
                
                Double meanValue = 0;

                if (getAverage != null && getAverage.Count() > 0)
                    meanValue = Convert.ToDouble(getAverage.First());

                return meanValue;
            }
            catch (Exception)
            {
                return 0;
            }
        }

        /// <summary>
        /// Devuelve la valoración dada por un usuario para una idea
        /// </summary>
        /// <param name="uid_idea"></param>
        /// <param name="uid_user"></param>
        /// <returns></returns>
        public Int32 getNoteIdeaUser(string uid_idea, string uid_user)
        {
            try
            {
                var getValue = from note in ideasBD.tbl_valoracion
                                 where note.epk_uid_idea == new Guid(uid_idea) && note.epk_uid_usuario == new Guid(uid_user)
                                 select note.int_valoracion;

                Int32 userNote = 0;

                if (getValue != null && getValue.Count() > 0)
                    userNote = Convert.ToInt32(getValue.First());

                return userNote;
            }
            catch (Exception ex)
            {
                return 0;
            }
        }

        /// <summary>
        /// Asigna una puntuación a una idea.
        /// </summary>
        /// <param name="uid_idea"></param>
        /// <param name="userId"></param>
        /// <param name="int_nota"></param>
        internal void setValorarIdea(Guid uid_idea, Guid userId, int int_nota)
        {
            try
            {
                try
                {
                    tbl_valoracion getValoration = (from note in ideasBD.tbl_valoracion
                                                    where note.epk_uid_idea == uid_idea && note.epk_uid_usuario == userId
                                                    select note).Single();

                    getValoration.int_valoracion = int_nota;
                    getValoration.dat_fechaValoracion = DateTime.Today;

                }
                catch (Exception)
                {
                    //Si da un error se realiza una inserción
                    tbl_valoracion valoration = new tbl_valoracion();
                    valoration.pk_uid_id = Guid.NewGuid();
                    valoration.epk_uid_idea = uid_idea;
                    valoration.epk_uid_usuario = userId;
                    valoration.int_valoracion = int_nota;
                    valoration.dat_fechaValoracion = DateTime.Today;

                    ideasBD.AddTotbl_valoracion(valoration);
                }

                ideasBD.SaveChanges(SaveOptions.AcceptAllChangesAfterSave);

            }
            catch (Exception ex)
            {
                throw (ex);
            }
        }
    }
}