﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BraStor_WebRole.Model;
using BraStor_WebRole.Bll;

namespace BraStor_WebRole.Ideas
{
    public partial class IdeasIndex : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void hlnk_newIdea_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Ideas/IdeasNew.aspx");
        }


        /// <summary>
        /// Inicia la busqueda de ideas según los criterios establecidos en la cabecera
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void lnk_search_Click(object sender, EventArgs e)
        {
            BllIdeas bIdeas = new BllIdeas();

            //Recoge los datos introducirlos en como base de la consulta de busqueda
            vw_Ideas ideaCriteria = new vw_Ideas();

            //Búsqueda por tema
            if (!String.IsNullOrWhiteSpace(ddl_themes.SelectedValue))
                ideaCriteria.pk_uid_idTema = new Guid(ddl_themes.SelectedValue);
            //Búsqueda por palabras
            if (!String.IsNullOrWhiteSpace(txt_words.Text))
            {
                ideaCriteria.str_titulo = txt_words.Text;
                ideaCriteria.str_descripcion = txt_words.Text;
            }
            //Busqueda por texto
            if(!String.IsNullOrWhiteSpace(ddl_estado.SelectedValue) && Convert.ToInt32(ddl_estado.SelectedValue) > 0)
                ideaCriteria.epk_lng_idEstado = Convert.ToInt32(ddl_estado.SelectedValue);

            int int_archivo =String.IsNullOrEmpty(ddl_archivo.SelectedValue)?-1:Convert.ToInt32(ddl_archivo.SelectedValue);
            List<vw_Ideas> lstIdeas = bIdeas.getListIdeas(ideaCriteria, int_archivo);

            //Enlaza los datos una vez que han sido obtenidos
            this.gv_ideas.DataSource = lstIdeas;
            this.gv_ideas.DataBind();

        }

        protected void img_search_Click(object sender, ImageClickEventArgs e)
        {
            lnk_search_Click(this.lnk_search, new EventArgs());
        }

        /// <summary>
        /// Cuando se enlazan los datos se personalizan los botones que aparecen en el listado
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void gv_ideas_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            //Solo el propietario de la idea puede modificarla
            string str_user = Page.User.Identity.Name;
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                vw_Ideas ideaRow = (vw_Ideas)e.Row.DataItem;
                //Solo el propietario de la idea puede modificarla
                HyperLink hlnk_modify = (HyperLink)e.Row.FindControl("hlink_editIdea");
                if (hlnk_modify != null)
                {
                    if (ideaRow.UserName != str_user)
                        hlnk_modify.Visible = false;
                    else
                        hlnk_modify.Visible = true;
                }

                
            }
       }
    }
}