﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BraStor_WebRole.Model;

namespace BraStor_WebRole.Organization
{
    public partial class OrganizationIndex : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Session["organizationCriteria"] = new tbl_organizaciones();

                gv_organizations.DataBind();
            }
        }

        /// <summary>
        /// Almacena en una variable de sesión los criterios de búsqueda y vuelve a enlazar el gridView con los datos
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void lnk_search_Click(object sender, EventArgs e)
        {
            tbl_organizaciones organizationCriteria = new tbl_organizaciones();

            organizationCriteria.str_nombre = this.txt_companyName.Text.Trim();
            organizationCriteria.str_provincia = this.txt_province.Text.Trim();
            organizationCriteria.str_pais = this.ddl_countries.SelectedValue;

            Session["organizationCriteria"] = organizationCriteria;

            gv_organizations.DataBind();
        }

        protected void img_search_Click(object sender, ImageClickEventArgs e)
        {
            this.lnk_search_Click(this.lnk_search, new EventArgs());
        }

        /// <summary>
        /// Abre la página donde se puede insertar una nueva organización en el sistema
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void hlnk_newCompany_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Organization/OrganizationNew.aspx");
        }

  
    }
}