﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;
using BraStor_WebRole.Model;
using BraStor_WebRole.Bll;

namespace BraStor_WebRole.Users
{
    public partial class UserEdit : System.Web.UI.Page
    {
        private static vw_Users userDetail;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Label lblError = (Label)this.frmUser.FindControl("lbl_error");
                lblError.Visible = false;

                CheckBox chk_lockedUser = (CheckBox)this.frmUser.FindControl("chk_lockedUser");
                ImageButton imgUnlock = (ImageButton)this.frmUser.FindControl("ibtn_unlock");
                LinkButton lnkUnlock = (LinkButton)this.frmUser.FindControl("lnk_unlockUser");
                if (imgUnlock != null) imgUnlock.Visible = false;
                if (lnkUnlock != null) lnkUnlock.Visible = false;
                if (chk_lockedUser != null)
                {
                     userDetail = (vw_Users)frmUser.DataItem;
                    if (userDetail.IsLockedOut)
                    {
                        if (imgUnlock != null) imgUnlock.Visible = true;
                        if (lnkUnlock != null) lnkUnlock.Visible = true;
                    }
                }

            }

        }

        /// <summary>
        /// Vuelve al listado de usuarios sin realizar ninguna modificación
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void UpdateCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Users/UserIndex.aspx");
        }

        /// <summary>
        /// Inicia la modificación de datos de un usuario
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void UpdateButton_Click(object sender, EventArgs e)
        {
            Label lblError = (Label)this.frmUser.FindControl("lbl_error");

            try
            {
                lblError.Visible = false;

                this.frmUser.UpdateItem(true);

                Response.Redirect("~/Users/UserIndex.aspx");
            }
            catch (Exception ex)
            {
                lblError.ForeColor = Color.Red;
                lblError.Text = "Ha habido un error durante la actualización. [" + ex.Message + "]";
                lblError.Visible = true;
            }

        }

        /// <summary>
        /// Desbloquea un usuario bloqueado con anterioridad
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void lnk_unlockUser_Click(object sender, EventArgs e)
        {
            BllUsers bUsers = new BllUsers();
            
            bUsers.UnlockUser(userDetail.UserId);
            this.frmUser.DataBind();
        }

        protected void frmUser_ItemUpdating(object sender, FormViewUpdateEventArgs e)
        {
            DateTime dtCreationDate = Convert.ToDateTime(((TextBox)this.frmUser.FindControl("txt_creationDate")).Text);
            e.NewValues["CreateDate"] = dtCreationDate;

            DateTime dtLoginDate = Convert.ToDateTime(((TextBox)this.frmUser.FindControl("txt_lastLoginDate")).Text);
            e.NewValues["LastLoginDate"] = dtLoginDate;

        }
    }
}