﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="UserNew.aspx.cs" Inherits="BraStor_WebRole.Users.UserNew" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <asp:CreateUserWizard ID="RegisterUser" runat="server" EnableViewState="false" 
        OnCreatedUser="RegisterUser_CreatedUser" Width="100%" 
        LoginCreatedUser="False" 
        oncontinuebuttonclick="RegisterUser_ContinueButtonClick">
        <LayoutTemplate>
            <asp:PlaceHolder ID="wizardStepPlaceholder" runat="server"></asp:PlaceHolder>
            <asp:PlaceHolder ID="navigationPlaceholder" runat="server"></asp:PlaceHolder>
        </LayoutTemplate>
        <WizardSteps>
            <asp:CreateUserWizardStep ID="RegisterUserWizardStep" runat="server">
                <ContentTemplate>
                    <h2>
                        Crear una nueva cuenta de Usuario
                    </h2>
                    <p>
                        Las contraseñas deben tener una longitud mínima de <%= Membership.MinRequiredPasswordLength %> caracteres.
                    </p>
                    <span class="failureNotification">
                        <asp:Literal ID="ErrorMessage" runat="server"></asp:Literal>
                    </span>
                    <asp:ValidationSummary ID="RegisterUserValidationSummary" runat="server" CssClass="failureNotification" 
                         ValidationGroup="RegisterUserValidationGroup"/>
                    <div class="accountInfo" style="width: 100%">
                        <table style="width: 100%">
                            <tr>
                                <td colspan="5" class="dataHeader">
                                    <asp:Label ID="lbl_title1" runat="server" Text="Datos de Usuario"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="lbl_name" runat="server" Text="Nombre:"></asp:Label>
                                </td>
                                <td style="width: 35%">
                                    <asp:TextBox ID="txt_name" runat="server" Width="95%"></asp:TextBox>
                                </td>
                                <td style="width: 2%"></td>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="lbl_surname" runat="server" Text="Apellidos:"></asp:Label>
                                </td>
                                <td style="width: 35%">
                                    <asp:TextBox ID="txt_surname" runat="server" Width="95%"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="lbl_organization" runat="server" Text="Organización:"></asp:Label>
                                </td>
                                <td style="width: 35%">
                                    <asp:DropDownList ID="ddl_organization" runat="server" 
                                        DataSourceID="objDS_organizations" DataTextField="str_nombre" 
                                        DataValueField="pk_uid_id" Width="95%">
                                    </asp:DropDownList>
                                    
                                </td>
                                <td style="width: 2%"></td>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="lbl_phone" runat="server" Text="Teléfono:"></asp:Label>
                                </td>
                                <td style="width: 35%">
                                    <asp:TextBox ID="txt_phone" runat="server" Width="95%"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="5" class="dataHeader">
                                    <asp:Label ID="lbl_info2" runat="server" Text="Cuenta de usuario"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Login:</asp:Label>
                                </td>
                                <td style="width: 35%">                                    
                                    <asp:TextBox ID="UserName" runat="server" CssClass="textEntry" Width="95%"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                                         CssClass="failureNotification" ErrorMessage="El nombre de usuario es obligatorio." ToolTip="El nombre de usuario es obligatorio." 
                                         ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Contraseña:</asp:Label>
                                </td>
                                <td style="width: 35%">                                    
                                    <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" 
                                        TextMode="Password" Width="95%"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
                                         CssClass="failureNotification" ErrorMessage="La contraseña es obligatoria." ToolTip="La contraseña es obligatoria." 
                                         ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                </td>
                                <td style="width: 2%"></td>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword">Confirmar contraseña:</asp:Label>
                                </td>
                                <td style="width: 35%">
                                    <asp:TextBox ID="ConfirmPassword" runat="server" CssClass="passwordEntry" 
                                        TextMode="Password" Width="95%"></asp:TextBox>
                                    <asp:RequiredFieldValidator ControlToValidate="ConfirmPassword" CssClass="failureNotification" Display="Dynamic" 
                                         ErrorMessage="Confirmar contraseña es obligatorio." ID="ConfirmPasswordRequired" runat="server" 
                                         ToolTip="Confirmar contraseña es obligatorio." ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                    <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password" ControlToValidate="ConfirmPassword" 
                                         CssClass="failureNotification" Display="Dynamic" ErrorMessage="Contraseña y Confirmar contraseña deben coincidir."
                                         ValidationGroup="RegisterUserValidationGroup">*</asp:CompareValidator>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">Correo electrónico:</asp:Label>
                                </td>
                                <td style="width: 35%">                                    
                                    <asp:TextBox ID="Email" runat="server" CssClass="textEntry" Width="95%"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email" 
                                         CssClass="failureNotification" ErrorMessage="El correo electrónico es obligatorio." ToolTip="El correo electrónico es obligatorio." 
                                         ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="lbl_securityQuestion" runat="server" Text="Pregunta seguridad:"></asp:Label>
                                </td>
                                <td style="width: 35%">                                    
                                    <asp:TextBox ID="Question" runat="server" CssClass="textEntry" Width="95%"></asp:TextBox>
                                </td>
                                <td style="width: 2%"></td>
                                <td style="width: 14%; text-align: right;">
                                    <asp:Label ID="lbl_securityAnswer" runat="server" Text="Respuesta seguridad:"></asp:Label>
                                </td>
                                <td style="width: 35%">
                                    <asp:TextBox ID="Answer" runat="server" CssClass="textEntry" Width="95%"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="5" class="dataHeader">
                                    <asp:Label ID="lbl_info3" runat="server" Text="Rol de usuario"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="5" style="text-align: left" align="center">
                                    <asp:RadioButtonList ID="UsersRoleList" runat="server" 
                                        DataSourceID="objDS_Roles">
                                    </asp:RadioButtonList>
                                    
                                </td>
                            </tr>
                        </table>
                        <asp:ObjectDataSource ID="objDS_Roles" runat="server" SelectMethod="getRoles" 
                                        TypeName="BraStor_WebRole.Bll.BllUsers"></asp:ObjectDataSource>                        <asp:ObjectDataSource ID="objDS_organizations" runat="server" 
                                        SelectMethod="getAllOrganizations" TypeName="BraStor_WebRole.Bll.BllUsers">
                        </asp:ObjectDataSource>
                        <p class="submitButton">
                            <asp:Button ID="CreateUserButton" runat="server" CommandName="MoveNext" Text="Crear usuario" 
                                 ValidationGroup="RegisterUserValidationGroup"/>
                        </p>
                    </div>
                </ContentTemplate>
                <CustomNavigationTemplate>
                </CustomNavigationTemplate>
            </asp:CreateUserWizardStep>
<asp:CompleteWizardStep runat="server"></asp:CompleteWizardStep>
        </WizardSteps>
    </asp:CreateUserWizard>

    </asp:Content>
