﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using BraStor_WebRole.Bll;
using BraStor_WebRole.Model;

namespace BraStor_WebRole.Users
{
    public partial class UserNew : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
            }
        }

 
        /// <summary>
        /// Evento que se desencadena después de haberse creado el usuario
        /// Es donde se le asignarán los roles y los campos personalizados
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void RegisterUser_CreatedUser(object sender, EventArgs e)
        {
            try
            {
                tbl_personalizacionUsuarios newUserPers = new tbl_personalizacionUsuarios();
                string str_userRole = "";

                //Identifica el rol asignado al usuario
                RadioButtonList UserRoles = (RadioButtonList)this.RegisterUserWizardStep.ContentTemplateContainer.FindControl("UsersRoleList");
                if (UserRoles != null)
                {
                    str_userRole = UserRoles.SelectedValue;
                }

                //Recoge el valor de los campos personalidos de los usuarios
                TextBox txt_name = (TextBox)this.RegisterUserWizardStep.ContentTemplateContainer.FindControl("txt_name");
                if (txt_name != null)
                    newUserPers.str_nombre = txt_name.Text;
                TextBox txt_surname = (TextBox)this.RegisterUserWizardStep.ContentTemplateContainer.FindControl("txt_surname");
                if (txt_surname != null)
                    newUserPers.str_apellidos = txt_surname.Text;
                DropDownList ddl_organization = (DropDownList)this.RegisterUserWizardStep.ContentTemplateContainer.FindControl("ddl_organization");
                if (ddl_organization != null)
                    newUserPers.uid_organizacion = new Guid(ddl_organization.SelectedValue);
                TextBox txt_phone = (TextBox)this.RegisterUserWizardStep.ContentTemplateContainer.FindControl("txt_phone");
                if (txt_phone != null)
                    newUserPers.str_telefono = txt_phone.Text;

                TextBox txt_userName = (TextBox)this.RegisterUserWizardStep.ContentTemplateContainer.FindControl("UserName");
                //Asocia el UID de usuario y el uid de aplicación
                MembershipUser mshipUser = Membership.GetUser(txt_userName.Text);
                newUserPers.pk_uid_id = new Guid(mshipUser.ProviderUserKey.ToString());

                //Almacena los datos en una tabla de personalización de usuarios
                BllUsers bUsers = new BllUsers();
                bUsers.createUser(newUserPers, str_userRole);
            }
            catch (Exception ex)
            {
                //TODO. Si se produce un error borrar el usuario que se ha generado
            }
        }

        protected void RegisterUser_ContinueButtonClick(object sender, EventArgs e)
        {
            Response.Redirect("~/Users/UserIndex.aspx");
        }
    }
}