
-- ==========================================
-- Create View template for SQL Azure Database
-- ==========================================
IF object_id(N'vw_Users', 'V') IS NOT NULL
 DROP VIEW vw_Users
GO

CREATE VIEW vw_Users AS
SELECT Memberships.UserId, Users.UserName, Roles.RoleId, Roles.RoleName, Roles.Description, Users.IsAnonymous, Memberships.Email, Memberships.PasswordQuestion,Memberships.PasswordAnswer,Memberships.IsApproved, Memberships.IsLockedOut, Memberships.CreateDate,
  Memberships.LastLoginDate, Memberships.LastPasswordChangedDAte, Memberships.LastLockoutDate, Users.LastActivityDate,
  tbl_personalizacionUsuarios.str_nombre, tbl_personalizacionUsuarios.str_apellidos, tbl_personalizacionUsuarios.str_telefono, tbl_personalizacionUsuarios.uid_organizacion, tbl_organizaciones.str_codigo as str_codigoOrganizacion, tbl_organizaciones.str_nombre as str_nombreOrganizacion
FROM Users
LEFT JOIN tbl_personalizacionUsuarios ON Users.UserId = tbl_personalizacionUsuarios.pk_uid_id
LEFT JOIN Memberships ON Memberships.UserId = Users.UserId
LEFT JOIN UsersInRoles ON Users.UserId = UsersInRoles.UserId
LEFT JOIN Roles ON UsersInRoles.RoleId = Roles.RoleId
LEFT JOIN tbl_organizaciones ON tbl_personalizacionUsuarios.uid_organizacion = tbl_organizaciones.pk_uid_id
GO

/****** Object:  View [dbo].[vw_Ideas]    Script Date: 12/11/2011 00:09:10 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_Ideas]'))
DROP VIEW [dbo].[vw_Ideas]
GO

/****** Object:  View [dbo].[vw_Ideas]    Script Date: 12/11/2011 00:09:10 ******/


CREATE VIEW [dbo].[vw_Ideas] AS
SELECT tbl_ideas.pk_uid_id, str_titulo, str_descripcion, dat_fechaCreacion, dat_fechalimite, 
 epk_lng_idEstado, tbl_sys_estadoIdea.str_codigo str_codigoEstado, tbl_sys_estadoIdea.str_nombre str_nombreEstado,
 bol_archivada, epk_lng_razonArchivo, tbl_sys_razonArchivo.str_codigo str_codigoArchivo, tbl_sys_razonArchivo.str_nombre str_nombreArchivo,
 epk_uid_propietario, UserName ,
 tbl_temas.pk_uid_id pk_uid_idTema, tbl_temas.str_codigo str_codigoTema, tbl_temas.str_nombre str_nombreTema
FROM tbl_ideas
 LEFT JOIN tbl_sys_estadoIdea ON tbl_ideas.epk_lng_idEstado = tbl_sys_estadoIdea.pk_lng_id
 LEFT JOIN tbl_sys_razonArchivo on tbl_ideas.epk_lng_razonArchivo = tbl_sys_razonArchivo.pk_lng_id
 LEFT JOIN Users ON tbl_ideas.epk_uid_propietario = Users.UserId 
 LEFT JOIN tbl_rel_ideatema ON tbl_ideas.pk_uid_id  = tbl_rel_ideatema.epk_uid_idea
 LEFT JOIN tbl_temas ON tbl_rel_ideatema.epk_uid_tema = tbl_temas.pk_uid_id

GO


/****** Object:  View [dbo].[vw_Comentarios]    Script Date: 12/11/2011 00:09:10 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_Comentarios]'))
DROP VIEW [dbo].[vw_Comentarios]
GO

/****** Object:  View [dbo].[vw_Comentarios]    Script Date: 12/11/2011 00:09:10 ******/


CREATE VIEW [dbo].[vw_Comentarios] AS
SELECT tbl_comentarios.pk_uid_id, dat_fechaComentario, str_comentario, epk_uid_idea, epk_uid_usuario,  UserName 
FROM tbl_comentarios
 LEFT JOIN Users ON tbl_comentarios.epk_uid_usuario = Users.UserId 
 
GO

/****** Object:  View [dbo].[[vw_valorMedioIdea]]    Script Date: 12/11/2011 00:09:10 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[[vw_valorMedioIdea]]'))
DROP VIEW [dbo].[vw_valorMedioIdea]
GO

/****** Object:  View [dbo].[[vw_valorMedioIdea]]    Script Date: 12/11/2011 00:09:10 ******/


CREATE VIEW [dbo].[vw_valorMedioIdea] AS
SELECT epk_uid_Idea, AVG(int_valoracion) AS "ValorMedioIdea" 
FROM tbl_valoracion 
GROUP BY epk_uid_idea
 
GO


/****** Object:  View [dbo].[[vw_rankingIdeas]]    Script Date: 12/11/2011 00:09:10 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[[vw_rankingIdeas]]'))
DROP VIEW [dbo].vw_rankingIdeas
GO

/****** Object:  View [dbo].[[vw_rankingIdeas]]    Script Date: 12/11/2011 00:09:10 ******/


CREATE VIEW [dbo].vw_rankingIdeas AS
SELECT *
FROM tbl_ideas
LEFT JOIN vw_valorMedioIdea ON tbl_ideas.pk_uid_id = vw_valorMedioIdea.epk_uid_Idea 

 
GO

